Skip to main content
GET
Get a single deposit
The deposit id stays the same as its status changes from processing to completed. While processing, completedAt is null and the deposit is not yet credited to the wallet. See Deposit lifecycle.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Wallet ID

depositId
string<uuid>
required

Deposit ID

Response

Deposit details

id
string<uuid>
required
walletId
string<uuid>
required

Portfolio wallet credited by this deposit.

amount
string | null
required

Deposit amount as a fixed six-decimal USD string (e.g. "100.500000").

token
enum<string> | null
required

Deposited stablecoin.

Available options:
usdc,
usdt
chain
enum<string>
required

Chain where the deposit was detected.

Available options:
arbitrum,
base,
ethereum,
ethereum_sepolia,
polygon,
solana,
solana_devnet,
stellar,
stellar_testnet,
tempo
fromAddress
string | null
required
txHash
string | null
required

On-chain transaction hash.

status
enum<string> | null
required

Deposit status. processing can mean the deposit was detected before finality for a workflow-idle wallet and is not yet credited to balances.

Available options:
processing,
completed,
failed
cashPositionId
string | null
required

Stable public cash position ID that can be passed to allocations[].from. Null until the deposit completes and posts.

createdAt
string<date-time>
required
completedAt
string<date-time> | null
required

Populated after the deposit finalizes and posts; null while processing.